Untitled

Overview

What is Magic NetTrace?

Magic NetTrace is an easy-to-use versatile program for tracking the route between the network hosts and obtaining information about them.

Magic NetTrace Main Features

  • Unlike most other utilities, Magic NetTrace uses multithreading to track all routes between hosts at the same time. So it wastes no time waiting for a host reply before sending a request to another host.
  • Easy network and domain WHOIS lookup for all hosts passed by your packets.
  • Ability to perform WHOIS query via web interface if the registrar who supports the particular domain hasn't a WHOIS server.
  • Finding the host's geographic coordinates (altitude and longitude) using a DNS loc request.
  • Tight integration with Internet Explorer 5.0 and above. Pressing the Magic NetTrace button in the Internet Explorer toolbar starts the program and runs a traceroute to the current address (the one displayed in the Internet Explorer address bar).

  • Ability to resolve the IP address of an ICQ contact and track this person's real-world location.
  • Printing the lookup results, copying them to the clipboard or saving as a file.

  • Multilingual interface.

    • For more information, click the topic you want to read more about or select a topic in the left pane.


User interface

Below is a screen capture of the main Magic NetTrace window. For information on a labeled feature click its name in the list underneath.


Menu Bar

The Menu bar displays the menu headings. Click a menu heading to open the menu and choose a command. The commands you use frequently are also displayed on the toolbar.

File
This menu contains the following commands:
Save as… — saves the traceroute data (including the WhoIs information for all nodes) to a plain text file
Print results — prints the traceroute data (including the WhoIs information for all nodes)
Exit — quits the program

Edit
This menu contains the following commands:
Paste — pastes data from the clipboard to the address bar
Copy trace to clipboard — places the traceroute data (including the WhoIs information for all nodes) on the Windows clipboard

Options
This menu contains the following commands:
Settings — brings up the Options window

The WorkSpace Settings section contains the items that define the Magic NetTrace behavior:
Sound effects — toggles the sound on/off
Check for new versions — enables/disables automatic checking for new versions of Magic NetTrace
IE Integration — mark this checkbox to add the Magic NetTrace button to the Internet Explorer toolbar
Timeout Settings
Use the drop-down lists in this section to specify how long Magic NetTrace must wait for reply from the remote hosts.
Report Settings
Add NetWork Query result to report — mark this checkbox to include in the report the NetWork WhoIs information for each node
Add Domain Query result to report — mark this checkbox to include in the report the domain WhoIs information for each node
Cache Settings
Use this section to specify for how long the cached information will be stored.

Language — use this menu item to select the Magic NetTrace interface language

Help
This menu contains the following commands:
Register — brings up the registration window
Check for new version — checks whether a new version of Magic NetTrace is available
About — displays brief information about the program and the registration status/info.


Toolbar

The toolbar provides buttons that access some of the frequently used commands in the menus. To activate a command, click its toolbar button.

— saves the traceroute data (including the WhoIs information for all nodes) to a plain text file
— prints the traceroute data (including the WhoIs information for all nodes)
— places the traceroute data (including the WhoIs information for all nodes) on the Windows clipboard


Address bar

The address bar contains the URL of the host to which you want to trace the route to. You can enter the address manually or paste it from the clipboard.


Icq Icon

Pressing the ICQ icon brings up the window with the list of your ICQ contacts. You can select a contact, retrieve his/her IP address and trace the route to this person’s location. This option may be useful if you want to find out the real-world location of your ICQ buddy(Nick, UIN, IP is fictional).


Traceroute Table

The traceroute table contains the following information:
# — the traceroute hop number
IP address — the IP address of the host
Name — the results of the reverse DNS lookup for the IP address
ms — the number of milliseconds (roundtrip) that it took for a ping packet to go from your machine to the host


WhoIs Window

The WhoIs window contains two tabs:
NetWork — click this tab to see the results of the Network WhoIs lookup for the selected host.
Domain WhoIs — click this tab to see the results of the Domain WhoIs lookup for the selected host


Program description

Magic NetTrace combines ping, WHOIS and traceroute functions into one friendly easy-to-use utility. The program can track the route your packets follow on the way to any existing IP address or web host and perform WHOIS lookup for all hosts your packets come through. Magic NetTrace performs the WHOIS lookup in the Internet IP registry. If a domain name associated with a particular IP address exists, Magic NetTrace will also lookup this domain name in the various domain registries. The data supplied enables you to identify the geographic location of a web host or an IP address, the number of hosts passed on the way to the destination, and the remote host response time. Magic NetTrace can also retrieve IP addresses of ICQ contacts and identify geographic locations of your ICQ buddies. When you install the program, it adds a quick start button to the Internet Explorer toolbar, letting you trace the route to any page currently open in the browser window. Unlike many other programs, Magic NetTrace uses multithreading to perform traceroute and WHOIS queries, which provides a dramatic performance increase. You can save all traceroute results to a file, copy them to the clipboard or print.

Registration and Licensing
License type: Shareware, 20-day trial.
The unregistered version displays a nag-screen and performs the WHOIS lookup for the .com domains only.

Distribution limitations: You may freely distribute ONLY THE TRIAL VERSION OF THIS PROGRAM.

History
May 22 2003 Version 2.5
- Improved the appearance of program elements when using various styles.
- Added whois queries for Armenian (.am), Estonian (.em), Soviet Union (.se) and Tokelau (.tk) domains.
- Updated IP address range map that allows you to select a number of repeating whois queries if an error occurs.
October 05 2003 Version 2.00
- Add Dutch, Greek, French interface.
- Fixed socks proxy bugs.
- Added support for visual styles/themes.
- Added whois search for Tuvalu (.tv) and Libya (.ly).
- Improved processing .cc domain requests.
- Added url and e-mail address highlighting for the whois search results window. Now you can simply click any desired e-mail and this will launch your e-mail client.
April 22 2003 Version 1.11
- Add Spanish, Catalan interface.
- Add Socks 4/5 proxy support.
- Add Saudi Arabia(.sa) Peru(.pe) Panama(.pa) Greece(.gr) Malaysia(.my) Latvia(.lt) whois lookup.
March 14 2003 Version 1.08
- Add (.pt)Portuguese Domain Whois lookup.
- Add German interface.
January 8 2003 Version 1.07
- Fixed minor bugs.
- Add Lanic Network Whois query support.
- Add windows XP styles support.
- Add Italian interface .
November 18 2002 Version 1.06
- Fixed several minor bugs.
- Fixed bugs with .com domain query
November 4 2002 Version 1.05
- Fixed several minor bugs.
- Change ARIN.NET whois format query.
October 20, 2002 Version 1.04
- Fixed several minor bugs related to WHOIS lookup. Added the WHOIS lookup support for Spanish (.es), Argentinean (.ar) and Brazilian (.br) domains.
October 01, 2002 Version 1.03
- Fixed the bug related to launching the program using the IE toolbar button.
- Added local WHOIS caching for storing previous requests.
- Interface improvements.
August 29, 2002 Version 1.02
- Fixed a number of minor bugs.
August 19, 2002 Version 1.01
- First public release.

Installation:
Run mNTr.exe and follow the on-screen instructions.

System Requirements:
Windows 95/98/Me/NT/2000/XP
For browser integration Internet Explorer 5.0 or higher is required.
Windows 95 users may need to download Winsock 2.0 at: http://www.microsoft.com/windows95/downloads/contents/wuadmintools/s_wunetworkingtools/ w95sockets2/default.asp


Magic NetTrace FAQ

1. Why does Magic NetTrace shows the IP of my ICQ pal as 0.0.0.0?

Determining the correct IP address is possible only if ICQ clients have a direct connection. If the connection is done through the ICQ server, the server hides real IP and changes it to 0.0.0.0. The connection through ICQ servers can occur for several reasons:
- You did not add each other to the contacts list
- Your ICQ pal checked "Hide my IP" option
- One of you is using HTTP proxy for connection.
2. Which ICQ clients does Magic NetTrace work with?

Currently the program support ICQ Pro. We are working on adding support for Trillian and Miranda in distant future.
3. Why does traceroute not work?

Possibly, your computer has a personal Firewall installed. Then you have to make sure that Magic NetTrace is among the permitted applications (or add it there) and see if your Firewall blocks ICMP packets. If you are using corporate network, the network Firewall may be blocking the use of the program. Please, contact your system administrator and ask him to reconfigure firewall to allow the ping function or traceroute from your network. Beside, if your organization uses proxy only for establishing the Internet connection, traceroute won't work.

4. Why don't I see whois request results?

If you use a personal Firewall, make sure that Magic NetTrace is among the permitted applications and that port 43 is open. If you are in a corporate network, ask your system administrator to open port 43 for program access. You can also setup Magic NetTrace to perform whois requests through Socks 4/5 proxy.


Registration hints

Why You Should Register It

Magic NetTrace is trial version. This means that we have made the software available to you for free evaluation. You are entitled to evaluate the software for up to 20 days without obligation to pay. After 20 days, if you decide to keep the software, you must register your copy with us.

As a registered user, you are entitled to:

  • Free updates that will be released within 1 year from the date of purchase.
  • Full unlimited Product.
  • Free technical support.

    Purchase Magic NetTrace online
    You order will be processed by RegNow - US based secure shareware registration service, or ShareIt - one of the oldest and largest US/Germany secure shareware services, most convenient for customers from Europe. The order form is located on secure server and all transactions are processed via the secure SSL protocol ensuring that your private data will remain confidential.

    Product License Cost ($) Link
    Magic NetTrace Personal 23.95

    Other Payment Methods

    We accept four types of "off-line" payment methods: Fax, Phone, Check and Cash from two registration services:

    Regnow:

    Telephone and Fax Orders

    If using telephone or fax orders, please include product ID: 8102-1 for Magic NetTrace to ensure that you are paying for the right product.
    Telephone
    Toll Free Number in the US: 1-877-353-7297
    Regular (International): 1-(952)646-5531
    Fax
    Toll Free Fax Number in the US: 1-888-353-7276
    Internationaly: (425)392-0223

    Please note that RegNow.com charges an additional fee for processing telephone and fax orders.
    Telephone Orders $3.00 each
    Fax Orders $2.50 each

    Paying by Check via Postal Mail

    Please make sure you are making your check out to "Register Now!". You need to provide all of the information on the regular order form except credit card information. Please also make sure you've included the product ID: 8102-1 Magic NetTrace to ensure that you are paying for the right product, and your postal and e-mail address for speedy service.

    Please mail checks to:
    Register Now!
    ATTN: Orders
    PO Box 1816
    Issaquah, WA 98027
    USA

    Please note that RegNow.com charges an additional fee for processing mail orders. You will need to add $2.5 to the base price.

    Purchase Orders

    If using purchase orders, make sure you've included the product ID: 8102-1 for Magic NetTrace to ensure that you are paying for the right product.

    A purchase order must be faxed or mailed with all necessary information including billing information. Most companies who choose to use the purchase order option have a standard form that they use for making these types of orders.

    ShareIt:

    Purchase orders must include the product ID: 16451 for Magic NetTrace

    Fax or Phone Orders
    element 5 AG
    ShareIt! (GERMANY)
    Phone: +49 (0)221 31088-0
    Fax: +49 (0)221 31088-99

    ShareIt! Inc. (USA)
     Phone:     +1 (724) 850 8186
    +1-800-903-4152
    Fax: +1 (724) 850 8187

             element 5 AG
    ShareIt! (FRANCE)
    Phone: +33 (0)1 49 19 26 54
    Fax: +33 (0)1 49 19 21 00

    element 5 AG
    ShareIt! (UNITED KINGDOM)
    Phone: +44 (0) 207 603 5340
    Fax: +44 (0) 870 164 3984

    element 5 AG
    ShareIt! (SWEDEN)
    sales office operated by Believe Computer
    Phone: +46 (0)8 594 758-90
    Fax: +46 (0)8 594 758-91

    It is recommended that you use our online order form if you wish to make your purchase by fax.

    Check and Cash Orders

    Non-U.S. Customers: if you prefer to pay with cash or by check, please send payment to:
    element 5 AG / ShareIt!
    Vogelsanger Strasse 78
    50823 Koeln
    Germany

    Please make checks payable to "element 5 AG." If you are sending a check from outside of the European Union, please make the check payable in either US-Dollars or EURO. Inside the European Union, please make the check payable in EURO only.

    U.S. Customers: you can send your check or money order to our U.S. office:
     ShareIt! Inc.
    P.O. Box 844
    Greensburg, PA 15601, USA

     Please make U.S. checks payable to "ShareIt! Inc." (U.S. customers: Please do not send cash. It is illegal to mail cash in the United States.)

    If you do not receive your product licence within a reasonable amount of time (usually two business days for credit card payments), please     notify us ! We apologize for any inconvenience caused by such delays.


Contact information

Technical Support

Technical support may be acquired by e-mail. Please contact us at support@tialsoft.com .
If you are a registered user, please include your registration name and order information in the e-mail.

Feedback

If you have any comments or concerns about our Software please direct them to contact@tialsoft.com . Your feedback is important to us in order to get an idea of how to make our Software a better product for you. Many of features and significant portions of our program's interface have been heavily influenced by comments from users. So if you have a grand idea for a new feature, or a better way of doing something, please drop us a note.